Create Product
Creates a Product in Centelar.
POST /api/v2.1/product
Request Body
The request must send a json body with the following attributes
| Name |
Type |
Description |
name |
string |
Required. Name of the product or service |
code |
string |
Required. Code of the product or service |
parent_id |
integer |
ID of the parent product or service (if this is a variant) |
code_alternate |
string |
Alternate code |
code_providers |
string |
Provider’s original code |
active |
boolean |
Set to false to deactivate, to true to activate, or null to leave it as it is |
category |
string |
Name of the category (Rubro) of this product or service |
category_id |
integer |
ID of the category (Rubro) of this product or service |
brand |
string |
Name of the brand (Marca) of this product or service |
brand_id |
integer |
ID of the brand (Marca) of this product or service |
family |
string |
Name of the family (Familia) of this product or service |
family_id |
integer |
ID of the family (Familia) of this product or service |
provider |
string |
Name of the provider (Proveedor) of this product or service |
provider_id |
integer |
ID of the provider (Proveedor) of this product or service |
style |
string |
Style of the product or service |
attributes |
array of NameValue |
attributes of this product or service |
prices |
array of Price |
attributes of this product or service |
logistics_info |
LogisticsInfo |
|
taxes |
array of string |
Taxes applicable to the sale of this product or service |
tags |
array of string |
Tags to associate to the object |
Structure of a NameValue object
| Name |
Type |
Description |
name |
string |
The name of the name-value tuple |
value |
object |
The value of the name-value tuple, being either a string, integer or a decimal |
Structure of a Price object
| Name |
Type |
Description |
list |
string |
The name of the price list |
amount |
decimal |
|
currency |
string |
Either ARS, USD, etc… |
Structure of a LogisticsInfo object
| Name |
Type |
Description |
packagesJson |
string |
|
packages |
string |
|
ctn_length |
string |
in cm |
ctn_width |
string |
in cm |
ctn_height |
string |
in cm |
total_cbm |
string |
in dm3 |
total_weight |
string |
in kg |
ctn_units_per_box |
string |
|
ctn_boxes_per_layer |
string |
|
ctn_layers_per_pallette |
string |
|
Response Sample
{
"success": true,
"id": 12342
}